Subject: bug#44349: 28.0.50; Assertion failure on macOS when resizing frame

From: Eli Zaretskii <[email-masked]>
Date: Sun, 29 Nov 2020 17:10:03 +0200

> Date: Sat, 28 Nov 2020 22:06:45 +0000
> From: Alan Third <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > Thanks!  Can we add tests for this?
> 
> I was wondering that. How do we add tests for internal C functions?

By calling Lisp functions which call them.  But maybe it isn't
possible in this case.

Wait, isn't the use case which caused this bug report a suitable test
for the change?

> > Silently ignoring parts of input sounds ... unusual, so I wonder what
> > would it take to avoid that.  How did the old code avoid this problem?
> 
> This situation can only be caused by calling doprnt with format_end
> set to some point inside a multibyte character (it's a pointer).

Ah, okay.  In that case, I think ignoring the invalid sequence is OK,
but let's document that in the function's commentary.

Thanks.